Bug 482858 - Cluster Event Script needs Updates to include Group Exclusive
Cluster Event Script needs Updates to include Group Exclusive
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: rgmanager (Show other bugs)
5.3
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Lon Hohberger
Cluster QE
: ZStream
Depends On:
Blocks: 488238
  Show dependency treegraph
 
Reported: 2009-01-28 10:58 EST by Everett Bennett
Modified: 2009-09-02 07:03 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:03:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Changes made my by RedHat to enhance package management. (10.06 KB, application/octet-stream)
2009-01-28 10:58 EST, Everett Bennett
no flags Details
Sample cluster.conf file for 4-node cluster with 1 master and 4 slave packages. (4.90 KB, text/plain)
2009-01-28 12:25 EST, Everett Bennett
no flags Details

  None (edit)
Description Everett Bennett 2009-01-28 10:58:42 EST
Created attachment 330238 [details]
Changes made my by RedHat to enhance package management.

Description of problem:

Currently, the RedHat Cluster software does not provide useful
group package management.

Version-Release number of selected component (if applicable):

rgmanager-2.0.43-1.el5

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

The attachment below includes updates made by RedHat Cluster resource
to include changes that allow "exclusive" modes to be implemented.
Comment 1 Everett Bennett 2009-01-28 11:01:33 EST
The changes made by Mr. Hohberger are most definitely in the right direction.
What needs to be added now, is the capablility to manage multiple "master/slave" packages, i.e, more than 1 env.  This functionality is what need to be able provide RedHat Enterprise as a solution for our customers.
Comment 2 Everett Bennett 2009-01-28 12:25:55 EST
Created attachment 330261 [details]
Sample cluster.conf file for 4-node cluster with 1 master and 4 slave packages.

Currently, with the attached default_event_script.sl file, we can manage one environment with 1 master package and 4 slave packages.  Each node is assigned a slave package.   The slave package is offline on the master node.

We would like to be able to implement something similar to the following.
For example, 3 environments, A, B, and C:

Environment   A      B      C
Master        A-M    B-M    C-M
Slave Node 1  A-S1   B-S1   C-S1
Slave Node 1  A-S1   B-S2   C-S2
Slave Node 1  A-S1   B-S3   C-S3
Slave Node 1  A-S1   B-S4   C-S4

Initial Boot
        Node
          1           2            3           4
Env A     A-M       A-S2         A-S3        A-S4
Env B     B-S1      B-M          B-S3        B-S4
Env C     C-S1      C-S2         C-M         C-S4

Node 1 Fails  ( A-M could move to 1 of 3 nodes. )
        Node
          1           2            3           4
Env A     ----      A-M          A-S3        A-S4
                    A-S2         A-M         A-S4
                    A-S2         A-S3        A-M
Env B     ----      B-M          B-S3        B-S4
Env C     ----      C-S2         C-M         C-S4

Node 1 Recovers
        Node
          1           2            3           4
Env A     A-S1      A-M          A-S3        A-S4
                    A-S2         A-M         A-S4
                    A-S2         A-S3        A-M
Env B     B-S1      B-M          B-S3        B-S4

In my current RHEL 5.3 Configuration, I have one env A.
Note that the Master is one ime2 (imeappl01) and the
slave on ime2 is offline (ime2) .

ime1/root> clustat
Cluster Status for ime_cluster @ Wed Jan 28 12:02:19 2009
Member Status: Quorate

 Member Name                             ID   Status
 ------ ----                             ---- ------
 ime1-int                                    1 Online, Local, RG-Worker
 ime2-int                                    2 Online, RG-Master
 ime3-int                                    3 Online, RG-Worker
 ime4-int                                    4 Online, RG-Worker

 Service Name                   Owner (Last)                   State        
 ------- ----                   ----- ------                   -----        
 service:ime1                   ime1-int                       started      
 service:ime2                   (none)                         stopped      
 service:ime3                   ime3-int                       started      
 service:ime4                   ime4-int                       started      
 service:imeappl01              ime2-int                       started 

It would be nice to be able to have "A-M" and "B-M" on separate nodes,
if possible, but this is not a requirement.
Comment 4 Everett Bennett 2009-02-20 09:47:19 EST
Any status on this issue?
Regards
Everett
Comment 5 Lon Hohberger 2009-02-26 15:40:33 EST
Adding to 5.4 list since the work's already done for the initial problem
Comment 11 errata-xmlrpc 2009-09-02 07:03:29 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1339.html

Note You need to log in before you can comment on or make changes to this bug.